#! /usr/bin/env python
"""
Sends an email after Avid Media Composer termination.
Minimal user configuration is required.
Igor Ridanovic, igor@hdhead.com
Use at your own risk.
"""

#---------User configuration.---------

# Enter your Gmail information.
username = 'yourname@gmail.com'  
password = 'password'

# Enter a comma delimited list of email recipients.
receivers = ['recipient1@yourcompany.com','recipient2@yourcompany.com']

#-------End user configuration.--------

import os
import smtplib
import time
import socket
import sys

def launch(launchPath):
	# Execute application and email upon termination.
	os.system(launchPath)

	# Send email
	hostname = (socket.gethostname())
	localtime = time.asctime(time.localtime(time.time()))
	sender = username
	message = """Subject: MC Alert

Media Composer running on %s was terminated on %s""" % (hostname, localtime)

	server = smtplib.SMTP('smtp.gmail.com:587')  
	server.starttls()  
	server.login(username,password)  
	server.sendmail(sender, receivers, message)  
	server.quit()

	sys.exit('Media Composer terminated on %s' % localtime)

# Set OS dependent path
localOS = sys.platform

if localOS == 'win32':
	launch('"C:\\Program Files\\Avid\\Avid Media Composer\\AvidMediaComposer.exe"')

if localOS == 'darwin':
	launch('/Applications/Avid\ Media\ Composer/AvidMediaComposer.app/Contents/MacOS/AvidMediaComposer')

print 'Sorry, your OS %s is not recognized.' % localOS

